package com.unis.base.server.dao;

import com.unis.base.common.vo.TyTfzyxxHisQueryVO;
import com.unis.base.server.entity.TyTfzyxxHisDO;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface TyTfzyxxHisDao {

    int deleteByPrimaryKey(String tfzyid);

    int insert(TyTfzyxxHisDO record);

    int insertSelective(TyTfzyxxHisDO record);

    TyTfzyxxHisDO selectByPrimaryKey(String tfzyid);

    int updateByPrimaryKeySelective(TyTfzyxxHisDO record);

    int updateByPrimaryKey(TyTfzyxxHisDO record);

	/**
	 * 分页查询
	 * @param tyTfzyxxHisQueryVO
	 * @return
	 */
	List<com.unis.base.server.entity.TyTfzyxxHisDO> findPageList(TyTfzyxxHisQueryVO tyTfzyxxHisQueryVO);

	/**
	 * 获取任务ID主键策略方法  
	 * @param maxCodeById
	 * @param string
	 * @param i
	 * @return
	 */
	String getMaxCodeById(@Param("pstr")String pstr);

}